# Class Controller

- Defined in src/backgroundlayerselector/component.js:122

#####
Index

### Properties

backgroundLayerMgr_
bgLayer
bgLayers
gmfThemes_
listenerKeys_
map
opacityLayer
options
select

### Methods

$onInit
getSetBgLayerOpacity
handleDestroy_
handleThemesChange_
setLayer
setOpacityBgLayer

## Properties

### backgroundLayerMgr_

backgroundLayerMgr_: MapBackgroundLayerManager

- Defined in src/backgroundlayerselector/component.js:170

### bgLayer

bgLayer: BaseLayer

- Defined in src/backgroundlayerselector/component.js:143
- Defined in src/backgroundlayerselector/component.js:178
- Defined in src/backgroundlayerselector/component.js:242

### bgLayers

bgLayers: BaseLayer[]

- Defined in src/backgroundlayerselector/component.js:148
- Defined in src/backgroundlayerselector/component.js:200
- Defined in src/backgroundlayerselector/component.js:208

### gmfThemes_

gmfThemes_: any

- Defined in src/backgroundlayerselector/component.js:158

### listenerKeys_

listenerKeys_: EventsKey[]

- Defined in src/backgroundlayerselector/component.js:163

### map

map: Map

- Defined in src/backgroundlayerselector/component.js:126

### opacityLayer

opacityLayer: BaseLayer

- Defined in src/backgroundlayerselector/component.js:153
- Defined in src/backgroundlayerselector/component.js:262

### options

options: any

- Defined in src/backgroundlayerselector/component.js:131

### select

select: Function

Function called when a layer was selected by the user.

- Defined in src/backgroundlayerselector/component.js:138

## Methods

### $onInit

- $onInit(): void

- Initialize the controller.

  #### Returns void

  - Defined in src/backgroundlayerselector/component.js:191

### getSetBgLayerOpacity

- getSetBgLayerOpacity(val): number

- Getter/setter for background layer overlay, used by opacity slider.

  #### Parameters

  - ##### val: number

    The opacity.

  #### Returns number

  The background layer opacity.

  - Defined in src/backgroundlayerselector/component.js:223

### handleDestroy_

- handleDestroy_(): void

- #### Returns void

  - Defined in src/backgroundlayerselector/component.js:270

### handleThemesChange_

- handleThemesChange_(): void

- Called when the themes changes. Set (or reset) the background layers.

  #### Returns void

  - Defined in src/backgroundlayerselector/component.js:198

### setLayer

- setLayer(layer, opt_silent?): void

- #### Parameters

  - ##### layer: BaseLayer

    Layer.

  - ##### `Optional` opt_silent: boolean

    Do not notify listeners.

  #### Returns void

  - Defined in src/backgroundlayerselector/component.js:239

### setOpacityBgLayer

- setOpacityBgLayer(layer): void

- Set a background layer overlay, used by the opacity slider.

  #### Parameters

  - ##### layer: BaseLayer

    The opacity background layer.

  #### Returns void

  - Defined in src/backgroundlayerselector/component.js:259

Generated using TypeDoc